﻿
--[[ EN ]]

-- To create a new module, change every occurence of 'WQ2Sounds' to your module's name
-- (each line is marked '!!!') and replace the mediadata with your own.
--
-- Make sure to keep the moduleid short since it is part of every quote's id
-- and gets postet to the chat channel every time you play a quote.
--
-- The moduleid may be different from the module name used in function names etc.

--[[  DE ]]

-- Um ein neues Modul zu erzeugen, ersetze jedes 'WQ2Sounds' im Code durch den
-- neuen Namen (alle betroffenen Zeilen sind mit '!!!' markiert) und trage unter
-- mediadata die neuen Daten ein.
--
-- Bitte halte die moduleid kurz, da sie Teil der ID jedes Zitats ist und diese
-- bei jedem Abspielen in den Chat-Channel gepostet wird.
--
-- Die moduleid darf sich von dem im Code benutzten Modul-Namen unterscheiden.


local moduleName = "QuoteMediaLoStiSounds";										-- !!!
local moduleid = "losti";										-- keep this short
local moduleData = nil;
local frame = CreateFrame("Frame", "QuoteMediaLoStiSoundsFakeFrame"); 				-- !!!

function QuoteMediaLoStiSounds_OnEvent(this, event, arg1, arg2, arg3, arg4, ...) 	-- !!!
    if ((event == "ADDON_LOADED") and (arg1 == moduleName)) then
        if (IsAddOnLoaded("WoWQuote2") or IsAddOnLoaded("KQuote")) then
            QuoteMediaLoStiSounds_Init();												-- !!!
            if (IsAddOnLoaded("WoWQuote2")) then
                WQ2_InitModule(moduleData);
            end
            if (IsAddOnLoaded("KQuote")) then
                KQ_InitModule(moduleData);
            end            
        else
            DEFAULT_CHAT_FRAME:AddMessage(moduleName..": Please install KQuote or WoWQuote2!",1.0,0.0,0.0);
        end
        frame:UnregisterEvent("ADDON_LOADED");
    end
end

frame:SetScript("OnEvent", QuoteMediaLoStiSounds_OnEvent);							-- !!!
frame:RegisterEvent("ADDON_LOADED");

function QuoteMediaLoStiSounds_Init()												-- !!!
    moduleData = {
    	name = "LoSti Sounds",
        moduleid = moduleid,
		     tags = {["tvtotal"] = "TV Total",
					["pvp"] = "PvP",
					["group"] = "In der Gruppe",
					["bye"] = "Bye",
					["music"] = "Musik",
					["simpsons"] = "Simpsons",
					["hi"] = "Hi"},
                
        mediapath = "Interface\\AddOns\\"..moduleName.."\\media\\",
        mediadata = nil
    }

    moduleData.mediadata =
{
-- replace this list of data with your own	
{
	-- for modules other than the default module, prepend the id index number
	-- with the module's id;
	-- 		i.e.   id = "wq2:mine:001"

	-- bei anderen als dem default-Module, muß dem ID-Index die moduleid
	-- vorangestellt werden;
	-- 		z.B.   id = "wq2:mine:001"

    id = "losti:001",
    file = "fickdich.wav",
    len = 8,
    msg = "Fick dich und...",
	tags = {"pvp", "group"}
},
{
    id = "losti:002",
    file = "BeinhartGasWasserScheisse.mp3",
    len = 5,
    msg = "Tach Frau Hansen..",
	tag = {"hi"}
},
{
    id = "losti:003",
    file = "BullyparadeSchwabenklaus.mp3",
    len = 10,
    msg = "Hallo ich bin der Klaus",
	tag = {"hi"}
},
{
    id = "losti:004",
    file = "BullyparadeTuntenfisch.mp3",
    len = 8,
    msg = "Haben sie bestellt gefüllte Tuntenfisch?", 
},
{
    id = "losti:005",
    file = "bsekuh.wav",
    len = 15,
    msg = "Muuuuhahahahhaa", 
},
{
    id = "losti:006",
    file = "fresse.wav",
    len = 3,
    msg = "Wenn man keine Ahnung hat...", 
	tag = {"group"}
},
{
    id = "losti:007",
    file = "GokuKameHameHa.MP3",
    len = 7,
    msg = "Kameee...Hameee....",    
},
{
    id = "losti:008",
    file = "hanf.wav",
    len = 2,
    msg = "Gebt das Hanf frei!",   
},
{
    id = "losti:009",
    file = "HappymanHomer.wav",
    len = 6,
    msg = "Uh look at me..",  
},
{
    id = "losti:010",
    file = "hauweg.wav",
    len = 2,
    msg = "Isch hauen weg!", 
	tag = {"group"}
},
{
    id = "losti:011",
    file = "ichstreike.wav",
    len = 6,
    msg = "Ja wissts was...", 
	tag = {"group"}
},
{
    id = "losti:012",
    file = "jackass1.wav",
    len = 7,
    msg = "*Jackass Music*",
	tags = {"music"}
},
{
    id = "losti:013",
    file = "letsrock.wav",
    len = 2,
    msg = "Lets Rock", 
	tags = {"pvp", "group", "hi"}
},
{
    id = "losti:014",
    file = "manamana.wav",
    len = 11,
    msg = "Manamana",  
},
{
    id = "losti:015",
    file = "kenny1.wav",
    len = 3,
    msg = "You killed Kenny!",  
	tags = {"pvp", "group"}
},
{
    id = "losti:016",
    file = "matrix.wav",
    len = 26,
    msg = "*Matrix Music*",
	tags = {"music"}
},
{
    id = "losti:017",
    file = "skbrute.wav",
    len = 2,
    msg = "Brutality", 
	tags = {"pvp"}
},
{
    id = "losti:018",
    file = "smokewin.wav",
    len = 2,
    msg = "Smoke Wins...",
	tags = {"pvp"}
},
{
    id = "losti:019",
    file = "wasguckstdu.wav",
    len = 2,
    msg = "Was guckst du?",
},
{
    id = "losti:020",
    file = "StefanRaabAlarm.mp3",
    len = 6,
    msg = "Pulleralarm!",
	tags = {"group", "tvtotal"}
},
{
    id = "losti:021",
    file = "StefanRaabAllesklar.mp3",
    len = 4,
    msg = "Alles klar?",
	tags = {"tvtotal"}
},
{
    id = "losti:022",
    file = "StefanRaabAnrufbeant.mp3",
    len = 21,
    msg = "*Piep Anrufbeantworter*",
	tags = {"tvtotal"}
},
{
    id = "losti:023",
    file = "StefanRaabfickst.mp3",
    len = 5,
    msg = "Ich ficke du fickst..",
	tags = {"tvtotal"}
},
{
    id = "losti:024",
    file = "StefanRaabIchmussweg.mp3",
    len = 1,
    msg = "Ich muss weg!",
	tags = {"bye", "tvtotal"}
},
{
    id = "losti:025",
    file = "StefanRaabippeichus.mp3",
    len = 2,
    msg = "Da flippe ich aus!",
	tags = {"group", "tvtotal"}
},
{
    id = "losti:026",
    file = "StefanRaabspricht.mp3",
    len = 20,
    msg = "Stefan spricht türkisch",
	tags = {"tvtotal"}
},
{
    id = "losti:027",
    file = "StefanRaabTVSkandal.mp3",
    len = 15,
    msg = "Ficken! Skandal!",
	tags = {"tvtotal"}
},
{
    id = "losti:028",
    file = "StefanRaabWitz.mp3",
    len = 5,
    msg = "Stefan Raab Witz..",
	tags = {"tvtotal"}
},
{
    id = "losti:029",
    file = "wernerbeinhartkotze.mp3",
    len = 2,
    msg = "Was soll das den?",
	tags = {"group"}
},
{
    id = "losti:030",
    file = "zielen.wav",
    len = 2,
    msg = "Gründlich Zielen dann..",
	tags = {"group"}
},
{
    id = "losti:031",
    file = "wasguckstdu.wav",
    len = 2,
    msg = "Was guckst du?",
	tags = {"group"}
},
-- end of media data
};
end 

